<ion-header class="siderbar default">
    <ion-toolbar>
        <ion-buttons start>
            <button menuToggle ion-button icon-only>
                <img src="assets/icon/svg/SideBarButton.png">
            </button>
        </ion-buttons>
        <ion-title>Home</ion-title>
        <ion-buttons end>
            <button ion-button icon-only (click)="goRestaurantList()">
                <img src="assets/icon/svg/location.png">
            </button>
        </ion-buttons>
    </ion-toolbar>
    <div class="group-header">
        <button class="button-back" ion-button icon-only clear (click)="back()" *ngIf="navCtrl.canGoBack()">
            <ion-icon ios="ios-arrow-dropleft" md="ios-arrow-dropleft"></ion-icon>
        </button>
        <div class="group-search full-width" [style.width]="getGroupSearchWidth()">
            <button ion-button icon-only clear>
                <img src="assets/icon/svg/Searchicon.png">
            </button>
            <ion-input type="text" value="" placeholder="Search something..."></ion-input>
        </div>
    </div>
</ion-header>
<ion-content padding paginationType="bullets" pager="true">
    <ion-slides>
        <ion-slide style="background: url('assets/imgs/apps/slider_1.png')">
        </ion-slide>
        <ion-slide style="background: url('assets/imgs/apps/slider_1.png')">
        </ion-slide>
        <ion-slide style="background: url('assets/imgs/apps/slider_1.png')">
        </ion-slide>
    </ion-slides>
    <p class="title">Categories</p>
    <ion-scroll scrollX="true" class="category-scroll">
        <button ion-button round *ngFor="let cat of categories" [ngClass]="{'activate': activatedCategory == cat.id}" (click)="changeCategory(cat.id)">{{cat.name}}</button>
    </ion-scroll>
    <p class="title">Lish of dishes</p>
    <ion-grid>
        <ion-row>
            <ion-col col-6 col-sm-6 col-md-4 col-lg-4 col-xl-3 *ngFor="let item of lishOfDishes">
                <div class="item-product">
                    <div class="image-product" [style.backgroundImage]="item.img" (click)="addFavorite(item)">
                        <button  [ngClass]="{'active': item.isLike}" ion-button clear icon-only>
                            <ion-icon ios="md-heart-outline" md="md-heart-outline"></ion-icon>
                        </button>
                    </div>
                    <div class="text" (click)="goProduction(item.id,item)">
                        <p class="name">{{item.name}}</p>
                        <p class="price">{{item.price| number}}{{item.currency}}</p>
                        <!-- <p class="des">+40 công thức</p> -->
                    </div>
                </div>
            </ion-col>
        </ion-row>
    </ion-grid>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
    </ion-infinite-scroll>
</ion-content>
